* {
padding : 0%;
margin : 0%;
box-sizing : border-box;
}
html {
background : #101010;
}
body {
user-select : none;
height : auto;
overflow-x : hidden;
width : 100%;
background : #171717;
}
#header {
background : #171717;
height : 100vh;
width : 100%;
overflow : hidden;
animation : scale 1.5s ease;
position : relative;
display : block;
}
#navigation-content {
height : 100vh;
width : 100%;
position : fixed;
z-index : 5;
background-color : #020202;
transform : translateY(-200%);
display : flex;
flex-direction : column;
align-items : center;
justify-content : center;
}
#navigation-bar {
position : fixed;
height : 100px;
width : 100%;
z-index : 3;
padding : 10px;
background : transparent;
overflow : hidden;
}
.menubar {
position : absolute;
right : 4%;
top : 40%;
cursor : pointer;
opacity : 0.8;
transition : all 0.4s ease;
}
.menubar span {
position : relative;
background-color : transparent;
height : 2px;
width : 20px;
display : block;
margin : 6px;
border-radius : 20px;
}
.menubar .first-span {
width : 35px;
}
.menubar .first-span::before {
content : "";
position : absolute;
height : 100%;
width : 50%;
top : 0;
right : 0;
background-color : whitesmoke;
transition : all 0.5s ease;
}
.menubar .second-span {
width : 35px;
}
.menubar .second-span::before {
content : "";
position : absolute;
height : 100%;
width : 75%;
top : 0;
right : 0;
background-color : whitesmoke;
transition : all 0.3s ease;
}
.menubar .third-span {
width : 35px;
}
.menubar .third-span::before {
content : "";
position : absolute;
height : 100%;
width : 100%;
top : 0;
right : 0;
background-color : whitesmoke;
transition : all 0.3s ease;
}
.menubar:hover .second-span::before, .menubar:hover .first-span::before {
width : 100%;
}
.menubar:hover {
opacity : 1;
}
.close-first, .close-second {
height : 2px;
width : 35px;
background-color : whitesmoke;
display : block;
margin : 4px;
cursor : pointer;
padding : 1px;
border-radius : 20px;
}
.close-first {
transform : rotate(45deg);
}
.close-second {
transform : rotate(-45deg);
}
.navigation-close {
position : absolute;
top : 6%;
right : 4%;
padding : 10px;
cursor : pointer;
transition : all 0.3s ease;
opacity : 0.8;
}
.navigation-close:hover {
opacity : 1;
transform : rotate(90deg);
}
.logo img {
height : 80px;
position : absolute;
top : 3%;
left : 2.5%;
opacity : 0.8;
z-index : 2;
cursor : pointer;
transition : all 0.4s ease;
}
.logo img:hover {
opacity : 1;
transform : rotate(-45deg);
}
#navigation-bar img {
height : 80px;
position : absolute;
top : 15%;
left : 2.5%;
opacity : 0.8;
transition : all 0.4s ease;
}
#navigation-bar img:hover {
opacity : 1;
transform : rotate(-45deg);
}
.header-image img {
height : 100vh;
float : right;
}
.header-image {
float : right;
height : auto;
background-size : cover;
background-position : center;
width : 40%;
height : 100vh;
}
.header-content {
height : 100vh;
width : 100%;
float : left;
display : flex;
position : absolute;
align-items : center;
justify-content : center;
color : whitesmoke;
font-family : raleway;
font-weight : 400;
letter-spacing : 1px;
flex-direction : column;
font-size : 50px;
z-index : 1;
}
.header-content-box {
z-index : 2;
text-align : center;
height : auto;
padding-right : 60px;
width : auto;
}
.header-content .firstline {
z-index : 2;
font-weight : 700;
font-family : poppins;
font-size : 65px;
}
.header-content .secondline {
z-index : 2;
font-size : 30px;
padding-top : 20px;
font-weight : 500;
color : rgb(255, 255, 255, 0.8);
}
.social-media-links {
height : 100vh;
position : absolute;
z-index : 2;
padding : 60px;
width : auto;
display : flex;
flex-direction : column;
align-items : center;
justify-content : center;
}
.social-media {
color : white;
width : 21px;
opacity : 0.6;
margin : 8px;
transition : all 0.4s ease;
}
.social-media:hover {
opacity : 1;
transform : scale(1.1);
}
.navigation-links {
display : flex;
align-items : center;
justify-content : center;
flex-direction : column;
font-family : poppins;
}
.navigation-links a {
padding : 10px;
text-decoration : none;
color : white;
font-size : 30px;
opacity : 0.7;
transition : all 0.4s ease;
}
.navigation-links a:hover {
opacity : 1;
}
.navigation-links a::before {
content : "";
position : absolute;
top : 50%;
left : 50%;
display : flex;
justify-content : center;
transform : translate(-50%,-50%);
align-items : center;
font-size : 5em;
font-weight : 400;
font-family : monoton;
color : rgb(255, 255, 255, 0.1);
z-index : 1;
pointer-events : none;
opacity : 0;
letter-spacing : 100px;
transition : all 0.4s ease;
}
.navigation-links a:hover::before {
content : attr(data-text);
opacity : 1;
letter-spacing : 10px;
}
.contact {
display : flex;
position : absolute;
width : 10%;
right : 0;
top : 0;
height : 100%;
align-items : center;
justify-content : center;
flex-direction : column;
z-index : 3;
}
.contact a {
z-index : 3;
}
.contact img {
margin : 10px;
height : 30px;
opacity : 0.6;
transition : all 0.4s ease;
}
.contact img:hover {
opacity : 1;
transform : scale(1.1);
}
.color {
color : #04A777;
transition : all 0.4s ease;
}
#about-me {
background-color : #101010;
display : none;
width : 100%;
height : auto;
overflow : hidden;
}
#about-me-content {
display : flex;
flex-direction : column;
align-items : center;
color : whitesmoke;
justify-content : center;
height : auto;
width : 100%;
padding : 30px;
}
.about-me-header {
height : auto;
width : 100%;
text-align : center;
align-items : center;
justify-content : center;
font-size : 45px;
font-family : raleway;
color : whitesmoke;
padding : 10px;
padding-bottom : 30px;
padding-top : 60px;
font-weight : 900;
}
.about-me-first-paragraph {
color : whitesmoke;
justify-content : center;
font-size : 20px;
font-family : poppins;
width : 50%;
padding : 30px;
font-weight : 400;
}
.about-me-first-paragraph .color {
font-size : 40px;
}
.about-me-first-line {
font-size : 35px;
opacity : 1;
margin-bottom : 10px;
display : block;
}
.about-me-second-line {
opacity : 0.8;
font-size : 18px;
font-weight : 200;
}
.about-me-main {
display : flex;
align-items : center;
justify-content : center;
width : 100vw;
height : auto;
padding-left : 50px;
padding-right : 50px;
flex-direction : row;
}
.about-me-img img {
width : 100%;
height : 380px;
padding : 30px;
border-radius : 40px;
}
.about-me-img {
width : 550px;
height : auto;
padding : 30px;
padding-top : 10px;
border-radius : 40px;
}
#about-me-content a {
text-decoration : none;
font-family : aileron;
font-weight : 400;
font-size : 35px;
color : #04A777;
transition : all 0.4s ease;
}
.cv {
padding-top : 40px;
}
.cv button {
background : transparent;
border : none;
padding : 15px 30px;
color : whitesmoke;
background : #04A777;
outline : none;
font-size : 20px;
font-family : aileron;
border-radius : 4px;
font-weight : 400;
cursor : pointer;
position : relative;
transition : all 0.4s ease;
}
.cv button:hover {
opacity : 1;
transform : scale(1.05);
}
.about-me-first-paragraph {
display : flex;
align-items : center;
justify-content : center;
flex-direction : column;
}
#skills {
width : 100%;
height : auto;
}
.skills-header {
height : auto;
width : 100%;
text-align : center;
align-items : center;
justify-content : center;
font-size : 45px;
font-family : raleway;
color : whitesmoke;
padding : 10px;
padding-bottom : 30px;
padding-top : 30px;
font-weight : 900;
}
.skills-content {
height : auto;
width : 100%;
margin-top : 20px;
margin-bottom : 80px;
}
.skill-html {
height : auto;
width : 45%;
padding : 0%;
position : relative;
font-family : poppins;
color : whitesmoke;
display : inline-block;
padding : 1.5%;
}
.skill-text {
width : 80%;
position : relative;
height : 50px;
}
.html {
display : inline-block;
position : absolute;
left : 5%;
top : 30%;
}
.html-prog {
width : 100%;
height : 40px;
border-radius : 10px;
background : #191919;
box-shadow : 0 0 25px rgb(0, 0, 0, 0.1);
position : relative;
overflow : hidden;
}
.html-progress {
position : absolute;
top : 10%;
left : 1%;
height : 80%;
display : flex;
align-items : center;
justify-content : center;
transition : all 0.4s ease;
width : 75%;
border-radius : 10px;
background : #04A777;
}
.js-progress {
position : absolute;
top : 10%;
left : 1%;
height : 80%;
display : flex;
align-items : center;
font-family : poppins;
justify-content : center;
transition : all 0.4s ease;
width : 60%;
border-radius : 10px;
background : #04A777;
}
.php-progress {
position : absolute;
top : 10%;
left : 1%;
height : 80%;
display : flex;
align-items : center;
justify-content : center;
width : 20%;
border-radius : 10px;
background : #04A777;
transition : all 0.4s ease;
}
.jquery-progress {
position : absolute;
top : 10%;
left : 1%;
height : 80%;
display : flex;
align-items : center;
justify-content : center;
transition : all 0.4s ease;
width : 60%;
border-radius : 10px;
background : #04A777;
}
.about-oop-header {
height : auto;
width : 100%;
text-align : center;
align-items : center;
justify-content : center;
font-size : 45px;
font-family : raleway;
transition : all 0.4s ease;
color : whitesmoke;
padding : 10px;
padding-bottom : 30px;
padding-top : 60px;
font-weight : 900;
}
.header-caption {
opacity : 0.8;
display : block;
font-size : 20px;
font-family : raleway;
padding : 8px;
padding-top : 15px;
color : whitesmoke;
font-weight : 400;
}
.about-oop {
height : auto;
width : 100%;
display : flex;
flex-direction : row;
align-items : center;
justify-content : center;
padding : 1.5%;
padding-right : 2%;
padding-top : 50px;
padding-bottom : 40px;
}
.about-oop-text {
width : 40%;
padding-left : 1%;
margin : 1%;
margin-left : -40px;
margin-top : 160px;
z-index : 3;
opacity : 1;
background : #080808;
padding-top : 10px;
padding-bottom : 10px;
}
.about-oop-text h2 {
font-size : 35px;
font-family : poppins;
font-weight : 200;
padding : 20px;
color : #04A777;
transition : all 0.4s ease;
}
.about-oop-text p {
font-size : 16px;
opacity : 0.8;
font-family : poppins;
font-weight : 200;
padding : 20px;
}
.about-oop-text button {
font-size : 16px;
opacity : 0.8;
font-family : poppins;
font-weight : 200;
padding : 10px 20px;
background : transparent;
color : #04A777;
transition : all 0.4s ease;
outline : none;
margin : 20px;
border : #04A777 solid 1.5px;
cursor : pointer;
overflow : hidden;
position : relative;
transition : all 0.4s ease;
}
.about-oop-text button::before {
content : "";
position : absolute;
width : 0%;
height : 200%;
transform : rotate(-15deg) translateY(-20px);
top : 0;
left : 0;
z-index : 3;
background : #04A777;
transition : all 0.7s ease;
}
.about-oop-text button:hover {
opacity : 1;
color : whitesmoke;
}
button:hover .index {
position : relative;
z-index : 4;
}
.about-oop-text button:hover::before {
opacity : 1;
width : 120%;
}
.button {
text-align : center;
}
.about-oop-image img {
height : 400px;
width : 100%;
position : relative;
}
.about-oop-image {
height : 400px;
width : 40%;
}
.about-oop-image img::before {
content : "";
height : 100%;
width : 100%;
background : #04A777;
opacity : 0.1;
top : 0;
left : 0;
transition : all 0.4s ease;
position : absolute;
z-index : 2;
}
#about-oop-content {
width : 100%;
display : flex;
height : auto;
flex-direction : column;
justify-content : center;
overflow : hidden;
}
#about-oop {
display : none;
height : auto;
overflow-x : hidden;
background-color : #101010;
width : 100%;
color : whitesmoke;
}
.video-content{
	text-align: center;
}
.video-text-oop{
	font-size : 35px;
	font-family : poppins;
	color : #04A777;
}
iframe{
	width: 50%;
	height: 615px;
}